<!DOCTYPE html>
<html>
<head>
  <title>DOM Event</title>
  <link rel="stylesheet" type="text/css" href="domevent.css">
  <style>
    .switchcolor {
      background-color: #474343;
    }
    .check {
      background-color:#184903;
    }
    .even {
      background-color:#474343;
    }
    .odd {
      background-color:#000000;
    }
  </style>
</head>
<body>
  <input type="checkbox" name="checkbox" id="checkboxid" onclick="checked()">
  <label>Capture</label>
  <div class="superdiv">
    <div id="switchboardid" class="switchboard">
        <button type="button" class="switchclass" id="switchbutton" onclick="changecolor()">Switch</button>
        <p id="onid" onclick="changecolor()">Switch is OFF</p>
        <p id="helloid" onclick="changecolor()"></p>
    </div>
      <div class="maindiv">
        <div id="rowoddid1" class="rowodd" onclick="changecolor()">row1</div>
        <div id="rowevenid1" class="roweven" onclick="changecolor()">row2</div>
        <div id="rowoddid2" class="rowodd" onclick="changecolor()">row3</div>
        <div id="rowevenid2" class="roweven" onclick="changecolor()">row4</div>
     </div>
  </div>
  <script type="text/javascript">
    function changecolor() {
      var bgcolor=document.getElementById("switchboardid");
      bgcolor.classList.toggle("switchcolor");
      var statuson=document.getElementById("onid");
      var hello=document.getElementById("helloid");
      var interval=setInterval(hellofunction,5000);
      var reveven1=document.getElementById("rowevenid1");
      reveven1.classList.toggle("even");
      var revodd1=document.getElementById("rowoddid1");
      revodd1.classList.toggle("odd");
      var reveven2=document.getElementById("rowevenid2");
      reveven2.classList.toggle("even");
      var revodd2=document.getElementById("rowoddid2");
      revodd2.classList.toggle("odd");
      if(statuson.innerHTML=="Switch is OFF") {
        statuson.innerHTML="Switch is ON";
        hello.innerHTML="Hello";
      }
      else {
        statuson.innerHTML="Switch is OFF";
        hello.style.display="none";
      }
      function hellofunction() {
        hello.style.display="none";
       }
    }
    function checked() {
      var checkboxon=document.getElementById("switchbutton");
      checkboxon.classList.toggle("check");
    }      /*if(checkboxon=="#DDEB25")
      {
        document.getElementById(".check").style.backgroundColor="#184903";
      }
      else
      {
        document.getElementById(".check").style.backgroundColor="#DDEB25";
      }*/
  </script>
</body>
</html>